package com.eactive.eai.rms.onl.manage.adapter.adapter.ui;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.Map;

public interface AdapterGroupUIMixIn {
    @JsonIgnore
    public void setADPTRBZWKGROUPNAME(String adptrbzwkgroupname);
    @JsonIgnore
    public void setNEWADPTRBZWKGROUPNAME(String newadptrbzwkgroupname);
    @JsonIgnore
    public void setADPTRMSGPTRNCD(String adptrmsgptrncd);
    @JsonIgnore
    public void setEAIBZWKDSTCD(String eaibzwkdstcd);
    @JsonIgnore
    public void setADPTRCD(String adptrcd);
    @JsonIgnore
    public void setADPTRMSGDSTCD(String adptrmsgdstcd);
    @JsonIgnore
    public void setADPTRIODSTCD(String adptriodstcd);
    @JsonIgnore
    public void setREFCLSNAME(String refclsname);
    @JsonIgnore
    public void setSNDRCVHMSLOGYN(String sndrcvhmslogyn);
    @JsonIgnore
    public void setADPTRUSEYN(String adptruseyn);
    @JsonIgnore
    public void setSPCFCLUUSEYN(String spcfcluuseyn);
    @JsonIgnore
    public void setADPTRBZWKGROUPDESC(String adptrbzwkgroupdesc);
    @JsonIgnore
    public void setOSIDINSTINO(String osidinstino);
    @JsonIgnore
    public void setADPTRINSTICODE(String adptrinsticode);
    @JsonIgnore
    public void setADPTRNICKNAME(String adptrnickname);
    @JsonIgnore
    public void setBIDINTERFACE(String bidinterface);
    @JsonIgnore
    public void setCIRNUMBER(String cirnumber);
    @JsonIgnore
    public void setCOMPANYCODEDATA(String companycodedata);
    @JsonIgnore
    public void setDRADPTRYN(String dradptryn);
    @JsonIgnore
    public void setEAILASTAMNDYMS(String eailastamndyms);
    @JsonIgnore
    public void setEAISEVRDSTCD(String eaisevrdstcd);
    @JsonIgnore
    public void setKESAUSEYN(String kesauseyn);
    @JsonIgnore
    public void setMONICNDNCTNT(String monicndnctnt);
    @JsonIgnore
    public void setMONIUSEYN(String moniuseyn);
    @JsonIgnore
    public void setMSGENCODE(String msgencode)        ;
    @JsonIgnore
    public void setOSIDINSTIBZWKRSEMPNAME(String osidinstibzwkrsempname);
    @JsonIgnore
    public void setOSIDINSTITELNO(String osidinstitelno);
    @JsonIgnore
    public void setOSIDINSTIYN(String osidinstiyn);
    @JsonIgnore
    public void setTESTMASTERYN(String testmasteryn);
    @JsonIgnore
    public void setADPTRINSTINAME(String adptrinstiName);
    @JsonIgnore
    public void setADAPTERDATA(Map<String, AdapterUI> adapterData);
    @JsonIgnore
    public void setNEWADPTRNICKNAME(String newadptrnickname);
    @JsonIgnore
    public void setCLONEYN(String cloneyn);
    @JsonIgnore
    public void setLINKEDADAPTERGROUP(String linkedAdapterGroup);
    @JsonIgnore
    public void setSAMESESSIONYN(String sameSessionYn);
    @JsonIgnore
    public void setPAIRADAPTERYN(String pairAdapterYn);
}
